Bug 500394 - KDE Lock Desktop does not work for more than one user in the same machine
KDE Lock Desktop does not work for more than one user in the same machine
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdebase (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 10:55 EDT by Filipe Brandenburger
Modified: 2012-06-20 11:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 500399 (view as bug list)
Environment:
Last Closed: 2012-06-20 11:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filipe Brandenburger 2009-05-12 10:55:52 EDT
Description of problem:

If more than one user is using a KDE desktop on the same machine (using XDMCP for instance) then only one of them can lock his desktop at the time.



Version-Release number of selected component (if applicable):

kdebase-3.3.1-11.el4



How reproducible:

Every time.



Steps to Reproduce:
1. Use XDMCP to establish two sessions to the same RHEL4 machine.
2. Open a KDE session with a different user account on each of them.
3. Lock the desktop on the first machine.
4. Try to lock the desktop on the second machine.
  

Actual results:

I will not lock the desktop on the second machine while the first machine is locked.



Expected results:

It should lock the desktop on the second machine, even though the first one is already locked.



Additional info:

This problem is due to the /usr/bin/kdesktop_lock script, that uses "ps ax" which will list processes for all users (not only the user running it).

Changing "ps ax ..." into "ps x ..." fixes this problem (as each user will list the kdesktop_lock.bin for only its own user.

This is what the first line of the script should read:

LIST=`ps x --format "%p:%a" | grep "$0.bin" | grep -v grep | cut -d : -f 1 | tail -n +1`
Comment 1 Filipe Brandenburger 2009-05-12 11:00:40 EDT
This problem also affects KDE in CentOS 5.3.
Comment 2 Filipe Brandenburger 2009-06-04 10:54:59 EDT
Even with this fix, there is a problem if the user has two simultaneous sessions to the same server. I have that situation with users that have one XDMCP session at the office and one NX session at home.
Comment 3 Jiri Pallich 2012-06-20 11:59:35 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.